/*!
// @file		ErrorsDescriptions.hpp
//
// @brief		Errors descriptions
//
// @version		mail.it library 1.0 sample file
//
// @author		(C) 2007 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __ERRORSDESCRIPTIONS_HPP__
#define __ERRORSDESCRIPTIONS_HPP__

#ifdef __GNUC__
NSString* errorsDescriptions[] = {
		@"Operation successfully completed.",
		@"Cannot establish connection to the server.",
		@"Server didn't send conformation greeting to the client after connection was established.",
		@"",
		@"",
		@"Connection was interrupted by user.",
		@"A network error occured.",
		@"Server rejected the command.",
		@"Server doesn't support the command.",
		@"Unexpected internal error.",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"",
		@"Cannot switch into secured mode.",
		@"",
		@"Function parameter is invalid.",
		@"Invalid registration data.",
		@"The session is already connected to server.",
		@"The session is not connected to server.",
		@"",
		@"The field doesn't exist in message header.",
		@"",
		@"Connection is timed out.",
		@"",
		@"",
		@"Server address is invalid.",
		@"",
		@"The specified file cannot be found.",
		@"An error occured while reading or writing the specified file.",
		@"",
		@"",
		@"EmaiPop3MessageInfoListEvaluateSubList function should be called before trying to work with the sublist.",
		@"",
		@"",
		@"",
		@"Function which sends command on server was called from session callback.",
		@"Unknown or unsupported charset is used in message."
};
#else
CString errorsDescriptions[] = {
		_T("Operation successfully completed."),
		_T("Cannot establish connection to the server."),
		_T("Server didn't send conformation greeting to the client after connection was established."),
		_T(""),
		_T(""),
		_T("Connection was interrupted by user."),
		_T("A network error occured."),
		_T("Server rejected the command."),
		_T("Server doesn't support the command."),
		_T("Unexpected internal error."),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T(""),
		_T("Cannot switch into secured mode."),
		_T(""),
		_T("Function parameter is invalid."),
		_T("Invalid registration data."),
		_T("The session is already connected to server."),
		_T("The session is not connected to server."),
		_T(""),
		_T("The field doesn't exist in message header."),
		_T(""),
		_T("Connection is timed out."),
		_T(""),
		_T(""),
		_T("Server address is invalid."),
		_T(""),
		_T("The specified file cannot be found."),
		_T("An error occured while reading or writing the specified file."),
		_T(""),
		_T(""),
		_T("EmaiPop3MessageInfoListEvaluateSubList function should be called before trying to work with the sublist."),
		_T(""),
		_T(""),
		_T(""),
		_T("Function which sends command on server was called from session callback."),
		_T("Unknown or unsupported charset is used in message.")
};
#endif


#endif /*__ERRORSDESCRIPTIONS_HPP__*/
