/*!
// @file		StreamUtils.hpp
//
// @brief		Utility operators for Mailit for C/C++ 1.0 types
//
// @version		Mailit for C/C++ 1.0 sample file
//
// @author		(C) 2006 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __STREAMUTILS_HPP__
#define __STREAMUTILS_HPP__

#include <iostream>
#include <EmaiMessage.hpp>
#include <EmaiTypes.h>

template<class _Traits>
std::basic_ostream<char, _Traits> &
operator << (
		std::basic_ostream<char, _Traits>& stream,
		EmaiConstUniCharPtr inString
	)
{
	while ((*inString) != 0)
	{
		if ((*inString) < 127)
			stream << (char)*inString;
		else
		{
			char temp[8];
			sprintf(temp, "\\u%.4X", (int)*inString);
			stream << temp;
		}
		++inString;
	}
	return stream;
}

template<class _Traits>
std::basic_ostream<char, _Traits> &
operator << (
		std::basic_ostream<char, _Traits>& stream,
		Emai::UniString inString
	)
{
	stream << inString.c_str();
	return stream;
}

#endif /*__STREAMUTILS_HPP__*/
