/*
// File:		ImapMessageData.hpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2007 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __IMAPMESSAGEDATA_HPP__
#define __IMAPMESSAGEDATA_HPP__

#include <EmaiIMAP.hpp>
#include "MessagePartEnumerator.hpp"

/*!
// @class	ImapMessageData
// @brief	ImapMessageData is sample class, which caches message data received from the IMAP server. It does not support saving/loading message data from local disk. It is up to you to decide, how to implement such a functionality.
 */
class ImapMessageData
{
protected:
	Emai::Message					mMessage;
	bool							mFullMessageData;
	EmaiUint32						mFlags;
	EmaiUint32						mUid;

public:

									ImapMessageData();
									ImapMessageData(const EmaiUint32 inUID);
	virtual							~ImapMessageData();

	virtual void					SetData(
										const EmaiFetchResponse& inResponse);
	Emai::Message					GetMessage() const;

	bool							HasFullMessageData() const;

	EmaiUint32						GetFlags() const;

	void							SetFlags(EmaiUint32 inNewFlags);

	EmaiUint32						GetUid() const;
};


#endif /*__IMAPMESSAGEDATA_HPP__*/
