/*!
// @file		Pop3WindowController.h
//
// @brief		Controller class
//
// @version		Mailit for C/C++ 1.0
//
// @author		(C) 2007 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/


#import <Cocoa/Cocoa.h>
#include <EmaiPOP3.hpp>
#include <vector>
#include "MessagePartEnumerator.hpp"

struct ItemData
{
	Emai::UniString mFormatedString;
	Emai::UniString mFileName;
	bool mIsInline;
	EmaiUint32 mAttachmentIndex;
};

/*!
// @class	Pop3WindowController
// @brief	Pop3 controller class.
 */
@interface Pop3WindowController : NSWindowController
{
    IBOutlet NSTextField *mAccount;
    IBOutlet NSTableView *mAttachmentList;
    IBOutlet NSTextField *mCC;
    IBOutlet NSTextField *mFrom;
    IBOutlet NSTextField *mMailServer;
    IBOutlet NSTextView *mMessage;
    IBOutlet NSTableView *mMessageList;
    IBOutlet NSSecureTextField *mPassword;
    IBOutlet NSButton *mRemoveMessages;
    IBOutlet NSTextField *mStatusText;
    IBOutlet NSMatrix *mTextType;
    IBOutlet NSPopUpButton *mTimePeriods;
    IBOutlet NSTextField *mTo;
	IBOutlet NSTextField *mPerStatus;
	IBOutlet NSTextField *mPort;
	IBOutlet NSButton *mUseSsl;
	IBOutlet NSPopUpButton *mAuthType;
	IBOutlet NSButton *mSaveAttachment;
	IBOutlet NSTextField *mLicKey;
	std::vector<Emai::Message> *mMessages;
	std::vector<ItemData> *mAttachments;
}
	/*!
	// @brief	Calls when user select message.
	*/
- (IBAction)messsageSelect:(id)sender;

	/*!
	// @brief	Calls when user clicks on Receive button.
	 */
- (IBAction)receiveMessages:(id)sender;

	/*!
	// @brief	Calls when user clicks on remove check box.
	 */
- (IBAction)setRemoveAction:(id)sender;

	/*!
	// @brief	Calls when user clicks on text format radio button.
	 */
- (IBAction)textFormatChanged:(id)sender;

	/*!
	// @brief	Calls when user clicks on Save button.
	 */
- (IBAction)saveAttachment:(id)sender;
@end
